# Turn off the brp-mangle-shebangs script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e \\\
	's!/usr/lib[^[:space:]]*/brp-mangle-shebangs[[:space:]].*$!!g')

%define module llvm
%define debug_package %{nil}
%define _prefix %(%{SOURCE1} --prefix %{module}_uni)
%define _xy %(echo %{version} | sed 's/\\.//')
%if 0%{?suse_version}
%global alternate /usr/sbin/update-alternatives
%else
%global alternate /usr/sbin/alternatives
%endif

Name: llvm-amdgpu
Version: 10.0
Release: 1089974.el8
Epoch: 1
Summary: The Low Level Virtual Machine
Group: Development/Languages
License: NCSA
URL: http://llvm.org/
Source1: rbh.sh
Source2: rbh.conf
Source100: llvm.rbh
Source101: llvm-10.0.tar.gz


BuildRequires: git
BuildRequires: gcc-c++
BuildRequires: cmake%{?rhel:3}
BuildRequires: zlib-devel
BuildRequires: ncurses-devel
BuildRequires: chrpath
%if 0%{?suse_version}
BuildRequires: glibc-devel
BuildRequires: libgcc_s1
BuildRequires: libstdc++-devel
BuildRequires: python-Sphinx
BuildRequires: ninja
%else
BuildRequires: glibc-devel%{?_isa}
BuildRequires: libgcc%{?_isa}
BuildRequires: libstdc++-devel%{?_isa}
BuildRequires: ninja-build
%if 0%{?rhel} > 7
BuildRequires: python3-sphinx
%else
BuildRequires: python-sphinx
%endif
%endif
BuildRequires: libffi-devel
BuildRequires: binutils-devel
BuildRequires: libstdc++-devel
BuildRequires: valgrind-devel
BuildRequires: libedit-devel
%if 0%{?rhel} && 0%{?rhel} < 8
BuildRequires: devtoolset-6
%endif
Requires: llvm%{_xy}-amdgpu = %{epoch}:%{version}-%{release}

%description
LLVM is a compiler infrastructure designed for compile-time,
link-time, runtime, and idle-time optimization of programs from
arbitrary programming languages.  The compiler infrastructure includes
mirror sets of programming tools as well as libraries with equivalent
functionality.

%package -n llvm%{_xy}-amdgpu
Summary: The Low Level Virtual Machine
Group: Development/Languages
Requires: %{name}-libs%{?_isa} = %{epoch}:%{version}-%{release}

%description -n llvm%{_xy}-amdgpu
LLVM is a compiler infrastructure designed for compile-time,
link-time, runtime, and idle-time optimization of programs from
arbitrary programming languages.  The compiler infrastructure includes
mirror sets of programming tools as well as libraries with equivalent
functionality.

%package devel
Summary: Libraries and header files for LLVM
Group: Development/Languages
Requires: llvm%{_xy}-amdgpu-devel = %{epoch}:%{version}-%{release}
Requires(posttrans): %{alternate}
Requires(postun): %{alternate}

%description devel
This package contains library and header files needed to develop new
native programs that use the LLVM infrastructure.

%package -n llvm%{_xy}-amdgpu-devel
Summary: Libraries and header files for LLVM
Group: Development/Languages
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Requires: libffi-devel
Requires: libstdc++-devel >= 3.4
Requires: ncurses-devel

%description -n llvm%{_xy}-amdgpu-devel
This package contains library and header files needed to develop new
native programs that use the LLVM infrastructure.

%package libs
Summary: LLVM shared libraries
Group: System Environment/Libraries
Requires: amdgpu-core
Obsoletes: OpenGTL < 0.9.18-50
Obsoletes: OpenGTL-libs < 0.9.18-50
Obsoletes: OpenGTL-devel < 0.9.18-50
Obsoletes: libQtGTL < 0.9.3-50
Obsoletes: libQtGTL-devel < 0.9.3-50
Obsoletes: python-llvmpy < 0.12.7-2
Obsoletes: python3-llvmpy < 0.12.7-2

%description libs
Shared libraries for the LLVM compiler infrastructure.

%package static
Summary: LLVM static libraries
Group: Development/Languages
Requires: %{name}-devel%{?_isa} = %{epoch}:%{version}-%{release}

%description static
Static libraries for the LLVM compiler infrastructure.  Not recommended
for general consumption.

%prep
tar -C %{_sourcedir} -zxvf %{SOURCE101}

%{SOURCE1} --prep %{module}_uni
%setup -T -D -q -n llvm-project

%build
%{SOURCE1} --build %{module}_uni

%install
%{SOURCE1} --install %{module}_uni

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%posttrans devel
%{alternate} \
  --install \
  /usr/bin/llvm-config \
  llvm-config \
  %{_prefix}/bin/llvm-config-%{version}-%{__isa_bits} \
  %{__isa_bits}

%postun devel
if [ $1 -eq 0 ]; then
  %{alternate} --remove llvm-config \
    %{_prefix}/bin/llvm-config-%{version}-%{__isa_bits}
fi
exit 0

%clean
rm -rf %{buildroot} %{_builddir}/llvm-project
rm -rf %{_sourcedir}/llvm-project


%files -f llvm.list
%doc CREDITS.TXT
%doc README.txt

%files -n llvm%{_xy}-amdgpu -f llvm.list.%{version}
%files -n llvm%{_xy}-amdgpu-devel -f llvm-dev.list.%{version}

%files devel -f llvm-dev.list

%files libs -f llvm-libs.list
%doc LICENSE.TXT

%files static -f llvm-static.list


%changelog
* Tue Jun 09 2020 AMD automated build system <gpudriverdevsupport@amd.com> 10.0-1089974.el8
- llvm-project 
- gerritgit/release/10.x
- 668b8a4bcd01170625df7cf4246c05354b9ff625
- build ID: 1089974

